SolrQuery::removeStatsField
SolrQuery::setEchoParams
SolrQuery
PHP Manual

# SolrQuery::setEchoHandler

(PECL solr >= 0.9.2)

SolrQuery::setEchoHandler — Toggles the echoHandler parameter

### Description

public SolrQuery SolrQuery::setEchoHandler ( bool `$flag` )

If set to true, Solr places the name of the handle used in the response to the client for debugging purposes.

### Parameters

`flag`

  `TRUE` or `FALSE`

### Return Values

Returns the current SolrQuery object, if the return value is used.

SolrQuery::removeStatsField
SolrQuery::setEchoParams
SolrQuery
PHP Manual